import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_sliver_tracker/flutter_sliver_tracker.dart';
import 'package:waterfall_flow/waterfall_flow.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: '封装曝光',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(primarySwatch: Colors.blue),
      home: const HomePage(),
    );
  }
}


class HomePage extends StatefulWidget {
  const HomePage({ Key key }) : super(key: key);

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title:const Text('组件曝光测试'),centerTitle: true,),
      body: _buildBody(),
    );
  }
  
  Widget _buildBody(){
    return XXSliverWaterFallFlow(
      onScrollInit:(int firstIndex, int lastIndex){
        print('初始化显示的 =========> $firstIndex    $lastIndex');
      },
      onScrollEnd:(int firstIndex, int lastIndex){
        print('滑动结束显示的 =========> $firstIndex    $lastIndex');
      },
      itemBuilder: (BuildContext context, int index) {
        return Container(
          height:120,
          color: Colors.red.withAlpha(20 * index),
          alignment: Alignment.center,
          child: Text('$index'),
        );
      }
    );
  }
}